# MatGetBrowsOfAcols

Creates a SeqAIJ matrix by taking rows of B that equal to nonzero columns of local A

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatGetBrowsOfAcols(Mat A,Mat B,MatReuse scall,IS *rowb,IS *colb,PetscInt *brstart,Mat *B_seq)

Collective on Mat

### Input Parameters

| A,B | - the matrices in mpiaij format
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX
| rowb, colb | - index sets of rows and columns of B to extract (or PETSC_NULL)

### Output Parameter

| rowb, colb | - index sets of rows and columns of B to extract
| brstart | - row index of B_seq from which next B->rmap.n rows are taken from B's local rows
| B_seq | - the sequential matrix generated

Level:developer
Location: src/mat/impls/aij/mpi/mpiaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages